Call addon route (POST)
POST
/addons/{slug}/{path}
const url = 'https://shoehorn.example.com/api/v1/addons/example/example';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/addons/example/example \ --header 'Content-Type: application/json' \ --data '{}'Proxies a POST request to the addon’s handleRoute() function.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” slug
required
string
path
required
string
Request Body
Section titled “Request Body ” Media type application/json
object
Example generated
{}Responses
Section titled “ Responses ”Addon response